/*
 * TNET		A server program for MINIX which implements the TCP/IP
 *		suite of networking protocols.  It is based on the
 *		TCP/IP code written by Phil Karn et al, as found in
 *		his NET package for Packet Radio communications.
 *
 *		Definitions for the NETCOM program.
 *
 * Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
 */
#ifndef EXTRN
#   define EXTRN	extern
#endif


EXTRN int opt_d;			/* debugging output flag	*/
EXTRN char *progname;			/* name of this program		*/


/* Function prototyping according to ANSI. */
#ifndef _PROTOTYPE
#    if _MINIX
#	include <ansi.h>
#    else
#	define _ANSI		0
#	ifdef __STDC__		
#	    if (__STDC__ == 1)	
#	    	undef _ANSI
#	    	define _ANSI	1
#	    endif
#	endif
#	if _ANSI
#	    define	_PROTOTYPE(function, params)	function params
#	    define	_VOIDSTAR	void *
#	    define	_VOID		void
#	    define	_CONST		const
#	    define	_VOLATILE	volatile
#	    define	_SIZET		size_t
#	else
#	    define	_PROTOTYPE(function, params)	function()
#	    define	_VOIDSTAR	void *
#	    define	_VOID		void
#	    define	_CONST
#	    define	_VOLATILE
#	    define	_SIZET		int
#	endif /* _ANSI */
#    endif /* _MINIX */
#endif	/* _PROTOTYPE */


_PROTOTYPE( int do_help, (int argc, char *argv[])			);
_PROTOTYPE( int do_ip, (int argc, char **argv)				);
_PROTOTYPE( int do_tcp, (int argc, char **argv)				);
_PROTOTYPE( int do_attach, (int argc, char **argv)			);
_PROTOTYPE( int do_detach, (int argc, char **argv)			);
_PROTOTYPE( int do_ifconfig, (int argc, char **argv)			);
_PROTOTYPE( int do_arp, (int argc, char **argv)				);
_PROTOTYPE( int do_route, (int argc, char **argv)			);

